// $Id: CStdoutWrapper.h,v 1.4 2003/05/30 05:27:11 ta_muto Exp $
//

#ifndef __wax_CStdoutWrapper_h
#define __wax_CStdoutWrapper_h

#include <common.h>
#include <IWriter.h>

namespace wax {
	class CStdoutWrapper : public IWriter {
		FILE* fp;
	public:
		CStdoutWrapper(FILE* initFp = NULL);
		
		void write(const char* buffer, int size);

#if LE==1
		virtual FILE* getFP();
#endif
	} ;
}

#endif
